<!DOCTYPE html>  
<html lang="en">  
<head>  
<meta charset="UTF-8">  
<title>Center align button</title>  
<style>  
.container{  
text-align: center;  
border: 7px solid red;  
width: 300px;  
height: 200px;
vertical-align:  middle;
padding-top: 100px;  
}  
#btn{  
font-size: 25px;  
}  
</style> 
{% if name %}
  <h1>Hello from {{ name }}!</h1>
{% else %}
  <h1>Hello, World!</h1>
{% endif %}

  {% if contents %}
  <textarea rows="10" cols="50">
    {{ contents }}
  </textarea>
  {% endif %}
</head>  
<body style="background: {{ color }};">  
<div class="container">  
<button id ="btn"> Click me </button>  
</div>  
</body>  
</html>  
